// This program has been developed by students from the bachelor Computer Science at Utrecht
// University within the Software Project course.
// © Copyright Utrecht University (Department of Information and Computing Sciences)
import userEvent from '@testing-library/user-event';
import { render, screen} from '@testing-library/react';
import Counter from '../src/components/components';

describe('Counter component', () => {
  test('increments count', async () => {
    render(<Counter />);
    const button = screen.getByRole('button', { name: /count is 0/i });
    await userEvent.click(button);
    expect(screen.getByText(/count is 1/i)).toBeInTheDocument();
  });
});